"use strict";

$(document).ready(function(){

    $.fn.dataTableExt.oStdClasses.sPageButton = "btn btn-default";
    $('#files').DataTable({
        stateSave: true,
        language: dataTableTranslation
    });

    $('#fileDelete').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget);
        var filename = button.data('filename');
        var fileid = button.data('fileid');
        var modal = $(this);
        modal.find('.filename').val(filename);
        modal.find('.fileid').val(fileid);
    });

    $(document).on('change', '.btn-file :file', function() {
        var input = $(this),
        numFiles = input.get(0).files ? input.get(0).files.length : 1,
        label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
        input.trigger('fileselect', [numFiles, label]);
    });

    $('.btn-file :file').on('fileselect', function(event, numFiles, label) {
        $('#upload_info').val('selected files:' + numFiles);
    });

});